-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Creato il: Mag 02, 2023 alle 18:46
-- Versione del server: 10.4.28-MariaDB
-- Versione PHP: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `verificacarpooling`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `autista`
--

CREATE TABLE `autista` (
  `idautista` int(11) NOT NULL,
  `cognome` varchar(25) DEFAULT NULL,
  `nome` varchar(35) DEFAULT NULL,
  `numeropatente` int(11) DEFAULT NULL,
  `scadenzapatente` date DEFAULT NULL,
  `telefono` varchar(10) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `fotografia` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `autista`
--

INSERT INTO `autista` (`idautista`, `cognome`, `nome`, `numeropatente`, `scadenzapatente`, `telefono`, `email`, `fotografia`) VALUES
(1, 'Rossi', 'Mario', 1257, '2023-09-02', '3334445556', 'rossi.mario@autista.it', '//Fotoautisti/rossimario.jpg'),
(2, 'Bianchi', 'Paola', 7584, '2025-05-06', '3335556667', 'bianchi.paola@autista.it', '//Fotoautisti/bianchipaola.jpg'),
(3, 'Lodato', 'Marco', 1837, '2024-04-03', '3336667778', 'lodato.marco@autista.it', '//Fotoautisti/lodatomarco.jpg');

-- --------------------------------------------------------

--
-- Struttura della tabella `auto`
--

CREATE TABLE `auto` (
  `targa` varchar(10) NOT NULL,
  `modello` varchar(25) DEFAULT NULL,
  `caratteristiche` varchar(50) DEFAULT NULL,
  `idautista` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `auto`
--

INSERT INTO `auto` (`targa`, `modello`, `caratteristiche`, `idautista`) VALUES
('AP914YC', 'Skoda Fabia', 'Porte = 5 / CC = 1200', 3),
('AX246KC', 'Opel Mokka', 'Porte = 5 / CC = 1500', 1),
('CN123BG', 'Seat Ibiza', 'Porte = 5 / CC = 1250', 1),
('DB093SH', 'Fiat Panda', 'Porte = 3 / CC = 1000', 3),
('GY971YA', 'Alfa Romeo Stelvio', 'Porte = 5 / CC = 2000', 2);

-- --------------------------------------------------------

--
-- Struttura della tabella `viaggio`
--

CREATE TABLE `viaggio` (
  `idviaggio` int(11) NOT NULL,
  `partenza` varchar(50) DEFAULT NULL,
  `destinazione` varchar(50) DEFAULT NULL,
  `datap` date DEFAULT NULL,
  `ora` time DEFAULT NULL,
  `contributo` float DEFAULT NULL,
  `chilometri` float DEFAULT NULL,
  `durata` varchar(10) DEFAULT NULL,
  `bagaglio` int(11) DEFAULT NULL,
  `prenotazionichiuse` tinyint(1) DEFAULT NULL,
  `idautista` int(11) DEFAULT NULL,
  `targa` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `viaggio`
--

INSERT INTO `viaggio` (`idviaggio`, `partenza`, `destinazione`, `datap`, `ora`, `contributo`, `chilometri`, `durata`, `bagaglio`, `prenotazionichiuse`, `idautista`, `targa`) VALUES
(1, 'Cava de\' Tirreni', 'Salerno', '2023-05-06', '12:50:00', 9.99, 4, '1 h e 20 m', 2, 1, 1, 'CN123BG'),
(2, 'Napoli', 'Padova', '2023-08-16', '08:50:00', 29.99, 271, '6 h e 20 m', 4, 0, 3, 'DB093SH'),
(3, 'Siracusa', 'Palermo', '2023-06-28', '10:45:00', 14.99, 205, '2 h e 54 m', 2, 1, 2, 'AX246KC');

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `autista`
--
ALTER TABLE `autista`
  ADD PRIMARY KEY (`idautista`);

--
-- Indici per le tabelle `auto`
--
ALTER TABLE `auto`
  ADD PRIMARY KEY (`targa`),
  ADD KEY `idautista` (`idautista`);

--
-- Indici per le tabelle `viaggio`
--
ALTER TABLE `viaggio`
  ADD PRIMARY KEY (`idviaggio`),
  ADD KEY `idautista` (`idautista`),
  ADD KEY `targa` (`targa`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `autista`
--
ALTER TABLE `autista`
  MODIFY `idautista` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT per la tabella `viaggio`
--
ALTER TABLE `viaggio`
  MODIFY `idviaggio` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `auto`
--
ALTER TABLE `auto`
  ADD CONSTRAINT `auto_ibfk_1` FOREIGN KEY (`idautista`) REFERENCES `autista` (`idautista`);

--
-- Limiti per la tabella `viaggio`
--
ALTER TABLE `viaggio`
  ADD CONSTRAINT `viaggio_ibfk_1` FOREIGN KEY (`idautista`) REFERENCES `autista` (`idautista`),
  ADD CONSTRAINT `viaggio_ibfk_2` FOREIGN KEY (`targa`) REFERENCES `auto` (`targa`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
